| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XSModel.hpp File Reference Include dependency graph for XSModel.hpp: This graph shows which files directly or indirectly include this file: Go to the source code of this file.
## Compounds
class | XSModel
## Defines
#define | XSMODEL_HPP
## Variables
XERCES_CPP_NAMESPACE_BEGIN class | Grammar
| This class contains all properties of the Schema infoitem as determined after an entire validation episode. More...
## Define Documentation
#define XSMODEL_HPP
## Variable Documentation
XERCES_CPP_NAMESPACE_BEGIN class Grammar
| This class contains all properties of the Schema infoitem as determined after an entire validation episode. That is, it contains all the properties of all the Schema Namespace Information objects that went into the validation episode. Since it is not like other components, it does not inherit from the XSObject interface. This is *always* owned by the validator /parser object from which it is obtained. It is designed to be subclassed; subclasses will specify under what conditions it may be relied upon to have meaningful contents.

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.